Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68360/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/configure.in	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/gen68360/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -23,4 +23,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/gen68360/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/include/.cvsignore	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/gen68360/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/gen68360/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/include/Makefile.am	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/gen68360/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/gen68360/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/include/bsp.h	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/gen68360/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -30,4 +30,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/idp/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/idp/configure.in	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/idp/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AC_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/idp/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/idp/include/.cvsignore	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/idp/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/idp/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/idp/include/Makefile.am	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/idp/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -5,24 +5,19 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h leds.h
+include_HEADERS = bsp.h coverhd.h leds.h bspopts.h
+
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
+	cp $< $@
+CLEANFILES += coverhd.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $< $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/leds.h: leds.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/leds.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = README bsp.h leds.h
+EXTRA_DIST = README
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/idp/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/idp/include/bsp.h	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/idp/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -8,4 +8,6 @@
 #ifndef __IDP_BSP_H
 #define __IDP_BSP_H
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-25	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mrm332/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/configure.in	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mrm332/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/mrm332/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/include/.cvsignore	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mrm332/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,7 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+coverhd.h
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/mrm332/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/include/Makefile.am	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mrm332/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -5,24 +5,19 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h mrm332.h
+include_HEADERS = bsp.h coverhd.h mrm332.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/mrm332.h: mrm332.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/mrm332.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h mrm332.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mrm332/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/include/bsp.h	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mrm332/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -19,4 +19,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme136/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/configure.in	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme136/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -23,4 +23,5 @@
 AM_CONDITIONAL(HAS_MP,test "$HAS_MP" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/mvme136/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/include/.cvsignore	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme136/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/mvme136/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/include/Makefile.am	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme136/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/include/bsp.h	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme136/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -19,4 +19,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/configure.in	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/mvme147/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/include/.cvsignore	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/mvme147/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/include/Makefile.am	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/include/bsp.h	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -23,4 +23,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147s/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/configure.in	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147s/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -23,4 +23,5 @@
 AM_CONDITIONAL(HAS_MP,test "$HAS_MP" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/mvme147s/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/include/.cvsignore	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147s/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/mvme147s/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/include/Makefile.am	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147s/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/include/bsp.h	(revision 880e827b63fd9fb6233c06210aa479a97a2ba0fb)
+++ c/src/lib/libbsp/m68k/mvme147s/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
@@ -23,4 +23,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
